The rlm_krb5 module, by default, presumes you have the MIT Kerberos 5
distribution. Notes from that distribution:

On linux, you may have to change:

deplibs_test_method="pass_all"

in ../libtool

Otherwise, it complains if the krb5 libs aren't shared.

----
If you are using the Heimdal Kerberos 5 distribution, pass a
--enable-heimdal-krb5 to the configure line. With Heimdal, you'll need
to have a radius/your.hostname.example.org key in your keytab (which needs
to be readable by the user running the RADIUS server).
